<style type="text/css">
  #inputEmail {
  }
</style>
<div class="row custom-row">
  <div class= "col-sm-5 custom-container jumbotron">

    <form class="form-horizontal">
      <fieldset>
        <legend>SignUp</legend>

        <div class="form-group">
          <label for="name">Full name</label>
          <input type="text"
                 id="name"
                 placeholder="Введите ваше ФИО">
        </div>

        <!--- Email Block --->
        <div class="form-group">
          <label for="inputEmail">Email</label>
          <input type="email"
                 id="inputEmail"
                 placeholder="Введите адрес эл. почты">

        </div>
        <!--- Password Block --->
        <div class="form-group">
          <label for="inputPassword">Password</label>
          <input type="password"
                 id="inputPassword"
                 placeholder="Введите пароль">
        </div>

        <div class="form-group">
          <label for="confirmPassword" >Confirm Password</label>
          <input type="password"
                 id="confirmPassword"
                 placeholder="Подтвердите пароль">
        </div>


        <div class="form-group">
          <label for="country">Сountry</label>
          <select id="country">
            <option>Андорра</option>
            <option>Гайана</option>
            <option>Дания</option>
            <option>Израиль</option>
            <option>Египет</option>
            <option>Казахстан</option>М
            <option>Италия</option>
            <option>Литва</option>
            <option>Россия</option>

          </select>
        </div>

        <form method="post" action="input5.php">
          <p><b>Gender</b></p>
          <p><input type="checkbox" name="option1" value="a1" checked>Male<Br>
            <input type="checkbox" name="option2" value="a2">Female<Br>
            <input type="checkbox" name="option3" value="a3">Other<Br>
          <p><input type="submit" value="Отправить"></p>
        </form>

        <ul>
          <li *ngFor="let item of arr">{{item.title}}</li>
        </ul>


      </fieldset>
    </form>
  </div>
</div>



<script type="text/javascript">
  var lastResFind=""; // последний удачный результат
  var copy_page=""; // копия страницы в ихсодном виде
  function TrimStr(s) {
    s = s.replace( /^\s+/g, '');
    return s.replace( /\s+$/g, '');
  }
  function FindOnPage(inputId) {//ищет текст на странице, в параметр передается ID поля для ввода
    var obj = window.document.getElementById(inputId);
    var textToFind;

    if (obj) {
      textToFind = TrimStr(obj.value);//обрезаем пробелы
    } else {
      alert("Введенная фраза не найдена");
      return;
    }
    if (textToFind == "") {
      alert("Вы ничего не ввели");
      return;
    }

    if(document.body.innerHTML.indexOf(textToFind)=="-1")
      alert("Ничего не найдено, проверьте правильность ввода!");

    if(copy_page.length>0)
      document.body.innerHTML=copy_page;
    else copy_page=document.body.innerHTML;


    document.body.innerHTML = document.body.innerHTML.replace(eval("/name="+lastResFind+"/gi")," ");//стираем предыдущие якори для скрола
    document.body.innerHTML = document.body.innerHTML.replace(eval("/"+textToFind+"/gi"),"<a name="+textToFind+" style='background:red'>"+textToFind+"</a>"); //Заменяем найденный текст ссылками с якорем;
    lastResFind=textToFind; // сохраняем фразу для поиска, чтобы в дальнейшем по ней стереть все ссылки
    window.location = '#'+textToFind;//перемещаем скрол к последнему найденному совпадению
  }
</script>
<body>
<h2> поиск по странице</h2>
<input type="text" id="text-to-find" value="">
<input type="button" onclick="javascript: FindOnPage('text-to-find'); return false;" value="Искать"/>
<br/><i>Введите слово или фразу для поиска.</i>
<hr/>

<table border='2' cellpadding='2'>
  <tr><th>Значение</th><th>ВМ</th><th>RegEx</th></tr>
  <tr><td>Unknown encoding-25-5;1051-20;5400422102203</td><td>устройство инициирующее ИСКРА-Ш - 5м</td><td>?</td></tr>
  <tr><td>Unknown encoding-4000-5;4156ì-20;2020-11-17;36;80;5401111230606;5401111231828;5401111232509;5401111232577;5401111234078;5401111234335;5401111234631;5401111234646;5401111234660;5401111235057;5401111235595;5401111235737;5401111235910;5401112209101;5401112214193;5401112215732;5401112217350;5401112217364;5401112217582;5401112217931;5401111231561;5401111231676;5401111231831;5401111232216;5401111232758;5401111233852;5401111234099;5401111234337;5401111234477;5401111234575;5401111234934;5401111234999;5401111235985;5401112209386;5401112210009;5401112210136;5401112210565;5401112212597;5401112214799;5401112216653;5401111231620;5401111232234;5401111232652;5401111232722;5401111232843;5401111233817;5401111234586;5401111234588;5401111235197;5401111235221;5401111235241;5401111235315;5401112210015;5401112210675;5401112211314;5401112212827;5401112214514;5401112217263;5401112217620;5401112218267;5401111231858;5401111231859;5401111232078;5401111232189;5401111233686;5401111234734;5401111234770;5401111235201;5401111235686;5401112211091;5401112213730;5401112214534;5401112215432;5401112215692;5401112216573;5401112217248;5401112217357;5401112217711;5401112217793;5401112218292</td><td>устройство инициирующее ИСКРА-Ш - 5м</td><td>?</td></tr>
  <tr><td>Unknown encoding-4000-5;4156ì-20;2020-11-17;36;20;5401111231620;5401111232234;5401111232652;5401111232722;5401111232843;5401111233817;5401111234586;5401111234588;5401111235197;5401111235221;5401111235241;5401111235315;5401112210015;5401112210675;5401112211314;5401112212827;5401112214514;5401112217263;5401112217620;5401112218267</td><td>устройство инициирующее ИСКРА-Ш - 5м</td><td>?</td></tr>
  <tr><td>Unknown encoding-150-3;4416ì-20;2020-11-25;36;80;5401123238298;5401123238929;5401123239150;5401123239256;5401124201474;5401124201642;5401124206290;5401124208356;5401124208485;5401124208550;5401124208687;5401124208813;5401124208890;5401124209850;5401124209857;5401124209860;5401124209873;5401124209923;5401124210706;5401124213790;5401123237793;5401123238954;5401123239057;5401124201608;5401124201632;5401124201715;5401124201807;5401124203076;5401124203601;5401124208189;5401124208583;5401124208617;5401124208618;5401124208723;5401124208733;5401124210094;5401124210122;5401124210161;5401124210657;5401124213303;5401123238966;5401123239018;5401123239181;5401123240471;5401123241822;5401123241970;5401123241985;5401124201654;5401124203963;5401124204010;5401124204036;5401124208793;5401124208990;5401124209170;5401124210019;5401124210670;5401124212916;5401124213040;5401124213583;5401124213839;5401123238096;5401123238558;5401123238953;5401123238989;5401123239195;5401123240154;5401123240255;5401124201458;5401124201703;5401124203305;5401124203969;5401124208667;5401124209740;5401124209810;5401124209853;5401124210177;5401124212875;5401124212942;5401124213150;5401124213358</td><td>устройство инициирующее ИСКРА-Ш - 3м</td><td>?</td></tr>
  <tr><td>Unknown encoding-4000-5; i.4120i-20; 5401002206118</td><td>устройство инициирующее ИСКРА-Ш - 5м</td><td>?</td></tr>
  <tr><td>Unknown encoding.4385ì-20; 5401117329588(Unknown encoding-0-65; i.4385i-20; 5401117332963)
  </td><td>устройство инициирующее ИСКРА-Ш - 65м</td><td>?</td></tr>
  <tr><td>ИСКРА-Ш ;ТУ 7275-032-07513903-2008;65;2/1094м-21;0;03.2021;03.2024;229;5410322557686-5410322557699; (Unknown encoding;TU 7275-032-07513903-2008;65;2/1094i-21;0;03.2021;03.2024;229;5410322557686-5410322557699;)
  </td><td>устройство инициирующее ИСКРА-Ш - 65м</td><td>?</td></tr>
  <tr><td>ИСКРА-Ш-175-3; 1263м-18; 5471121204717</td><td>устройство инициирующее ИСКРА-Ш - 3м</td><td>?</td></tr>

</table>
</body>
